Subject: bug#28108: 25.2; Infinite loop due to circular marker list?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Aug 2017 18:09:01 +0300

> From: Adam Porter <[email-masked]>
> Date: Wed, 16 Aug 2017 13:27:09 -0500
> Cc: [email-masked]
> 
> Here you go.  I see from the Lisp backtrace at the bottom that it may
> be related to one of my packages, but I haven't had any problems like
> this with it before, and I haven't updated it for about 4 months, so
> there's nothing new there.

No, it isn't necessarily related to that package, because the problem
happened during GC.  Your package just happened to trigger GC.

Can you try typing the following command definition, and then running
the command?  When you run it, does GDB also hang indefinitely?

  (gdb) define count-markers
   > set $count = 0
   > set $markers = BUF_MARKERS(b)
   > while $markers != 0
    > set $count = $count + 1
    > print $count
    > set $markers = $markers->next
    > end
   > end
  (gdb) count-markers